Subject: bug#36941: Please include option to link to maildir files

From: Robert Weiner <[email-masked]>
Date: Tue, 6 Aug 2019 00:30:39 -0400

See the hmail.el file which offers a straightforward abstract interface for
connecting mail reader and sender formats.  Make your own maildir:
functions that that are then mapped to the hmail abstract interface via the
rmail:init function in that same file and then Hyperbole should take care
of the rest including letting you link to your messages.

We can provide pointers if you work on this.  It is a medium-difficulty
project.

Bob

On Mon, Aug 5, 2019 at 9:22 PM Jean Louis <[email-masked]> wrote:

> I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> toolkit, Xaw3d scroll bars)
>
>         Hyperbole:   7.0.3
>         Sys Type:    x86_64-pc-linux-gnu
>         OS Type:     gnu/linux
>         Window Sys:  x
>         News Reader: Gnus v5.13
>
> I hope you know what are maildir messages. Each message is for itself
> within a maildir folder. I know that Emacs can display such messages.
>
> 'link-to-mail'
>      Displays a mail message with MAIL-MSG-ID from optional MAIL-FILE.
>      See the documentation for the variable 'hmail:init-function' for
>      information on how to specify the mail reader to use.
>
> MAIL-MSG-ID is not necessary for maildir messages, as it is almost
> same as link to file, the difference would be that some headers could
> be hidden and message or mail mode would be turned on. Messages could
> be replied, forwarded, etc.
>
> Maybe some action can be used for maildirs, just skipping the
> MAIL-MSG-ID. But it somehow need to know if it is maildir link by
> asking the user.
>
> Jean
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>